> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Flashcard Set

> Move a flashcard set to a new location. Folder locations, such as `currentLocation` or `moveLocation`, are in the format `myfolder1/myfolder2`. If the card is in the root folder, the folder path should be an empty string `""`.



## OpenAPI

````yaml post /move-flashcard-set
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /move-flashcard-set:
    post:
      tags:
        - Card management
      summary: Move Flashcard Set
      description: >-
        Move a flashcard set to a new location. Folder locations, such as
        `currentLocation` or `moveLocation`, are in the format
        `myfolder1/myfolder2`. If the card is in the root folder, the folder
        path should be an empty string `""`.
      operationId: post-move-flashcard-set
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  jwtToken: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                  currentLocation: top-level-parent-name/parent-name-2
                  flashcardID: '6796878844881'
                  moveLocation: My-third-folder
              required:
                - jwtToken
                - currentLocation
                - flashcardID
                - moveLocation
              properties:
                jwtToken:
                  type: string
                  description: >-
                    The identity of the user moving their flashcard set to a new
                    location. 
                  example: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                currentLocation:
                  type: string
                  description: 'The current folder path. '
                  example: My-first-folder
                flashcardID:
                  type: string
                  description: >-
                    A unique numerical identifier of the flashcard. This is
                    different from `cardID`.
                  example: >-
                    22456683691481111127441553357143855166282726011111761972795191711430217049598
                moveLocation:
                  type: string
                  description: 'The destination folder path. '
                  example: My-third-folder
      responses:
        '200':
          description: >-
            OK. Returns the string: `"Flashcard not found in current location"`
            when supplied an invalid folder path.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    success: >-
                      The flashcard set at
                      /users/user700430/flashcards/top-level-parent-name/parent-name-2/parent-name-3/flashcardName/6796878844881389968582206160161573797336081897254331165973477783999823937257
                      has been moved to My third folder
                properties:
                  success:
                    type: string
                    example: >-
                      The flashcard set at
                      /users/user700430/flashcards/top-level-parent-name/parent-name-2/parent-name-3/flashcardName/6796878844881389968582206160161573797336081897254331165973477783999823937257
                      has been moved to My third folder
                    description: >-
                      Indicates that the flashcard set at the specified path has
                      been successfully moved to a new folder.
        '400':
          description: >-
            A bad request error. Returned when the request body parameters are
            not in the expected JSON format.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'jwtToken': '',
                      'currentLocation': '', 'flashcardID': '', 'moveLocation':
                      ''}
                properties:
                  error:
                    type: string
                    example: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'jwtToken': '',
                      'currentLocation': '', 'flashcardID': '', 'moveLocation':
                      ''}
                    description: >-
                      Describes the nature of the error and provides a possible
                      solution. 

````